import {request} from '@/utils/openRequest.js'
/**
 * 扫码请求
 * @param ocId   单位ID
 * @param qrCode 二维码
 * @returns
 */
export function getByQr(ocId, qrCode) {
  return request({
    url: `/qr/request/${ocId}/${qrCode}`,
    method: 'GET'
  })
}
/**
 * WX登陆
 * @param jsCode 二维码
 * @returns
 */
export function wxLogin(data) {
  return request({
    url: "/wx/login",
    method: 'GET',
	data
  })
}
/**
 * 解密WX用户数据
 * @param jsCode 二维码
 * @returns
 */
export function wxDecryptUserInfo(data) {
  return request({
    url: `/wx/userInfo/decrypt`,
    method: 'POST',
    data
  })
}
